BLKDEV_ISSUE_ZEROOUT(9)

NAME
blkdev_issue_zeroout - zero-fill a block range

SYNOPSIS

int blkdev_issue_zeroout(struct block_device * bdev, sector_t sector, sector_t nr_sects, gfp_t gfp_mask);

ARGUMENTS

bdev
    blockdev to write

sector
    start sector

nr_sects
    number of sectors to write

gfp_mask
    memory allocation flags (for bio_alloc)

DESCRIPTION

Generate and issue number of bios with zerofiled pages.

COPYRIGHT